Bug 698738 - ifup doesn't assign address specified with IPADDR0
ifup doesn't assign address specified with IPADDR0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 700184
  Show dependency treegraph
 
Reported: 2011-04-21 12:24 EDT by Jiri Popelka
Modified: 2014-03-16 23:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 700184 (view as bug list)
Environment:
Last Closed: 2012-08-06 16:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
really accept IPADDR0 in ifcfg file (1.67 KB, patch)
2011-04-21 12:24 EDT, Jiri Popelka
no flags Details | Diff
Polish the code little bit (7.51 KB, patch)
2011-04-21 12:26 EDT, Jiri Popelka
no flags Details | Diff
ifcfg-eth1 created by NM (381 bytes, text/plain)
2011-04-26 04:50 EDT, Jiri Popelka
no flags Details
patch (579 bytes, patch)
2011-04-26 16:34 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Jiri Popelka 2011-04-21 12:24:06 EDT
Created attachment 493918 [details]
really accept IPADDR0 in ifcfg file

Description of problem:
When I give static address to eth1 via NM,
switch NM off and try to use network service
I end up with no address assigned to eth1.

Version-Release number of selected component (if applicable):
initscripts-9.29-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure eth1 with NetworkManager to statically assign IP address/prefix
2. Check that eth1 has its address
2. stop NM (or set NM_CONTROLLED="no" in ifcfg-eth1)
3. ifdown eth1; ifup eth1
  
Actual results:
eth1 is up but has no IP address

Expected results:
eth1 is up and has configured IP address

Additional info:
Although
http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=ff5befb95b133cc1da3f32ffcd9f3cef779244b6
adds support for IPADDRn variable
ifup-eth is still unable to use for example
IPADDR0=192.168.0.155
written to ifcfg-eth1 by NM.

Attached patch fixes the problem in my environment.
Comment 1 Jiri Popelka 2011-04-21 12:26:23 EDT
Created attachment 493919 [details]
Polish the code little bit

This patch only fixes the indentation of the code, nothing more.
Comment 2 Bill Nottingham 2011-04-25 15:04:12 EDT
Can you attach your config?
Comment 3 Jiri Popelka 2011-04-26 04:50:53 EDT
Created attachment 494835 [details]
ifcfg-eth1 created by NM

I only added
 NM_CONTROLLED=no
Comment 4 Bill Nottingham 2011-04-26 16:34:42 EDT
Created attachment 495033 [details]
patch

Maybe I'm missing something, but this patch seems to be simple enough and works for me?
Comment 5 Jiri Popelka 2011-04-27 07:00:38 EDT
Yes, that does actually the same as my patch, so +1 for your patch.
Comment 6 Bill Nottingham 2011-04-27 13:11:16 EDT
OK, pushed in git, will be in a future build.
Comment 7 Bill Nottingham 2011-04-27 13:11:47 EDT
... pushed as git commit 318d859b9df0131a80cdfa7b6a12066bd5212965.
Comment 8 Fedora End Of Life 2012-08-06 16:04:45 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2012-08-06 16:04:45 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.